
TYPO3.Flow - Bug # 42241

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category: Http
Created: 2012-10-21 Assigned To: Adrian Föder
Updated: 2012-12-12 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: HTTP Request adds colon to Host header with empty port
Description

Associated revisions
Revision 53a6fde5 - 2012-10-21 12:47 - Adrian Föder

[BUGFIX] Make HTTP_HOST not always followed by port colon

If there is no port given, a trailing colon for the HTTP_HOST
is not allowed to follow.

Change-Id: I9ca324fa3e2832137ce82e27ec428b715b9d89e8
Releases: 1.1, 1.2
Fixes: #42241

Revision 0a3134ef - 2012-12-10 22:08 - Adrian Föder

[BUGFIX] Make HTTP_HOST not always followed by port colon

If there is no port given, a trailing colon for the HTTP_HOST
is not allowed to follow.

Change-Id: I9ca324fa3e2832137ce82e27ec428b715b9d89e8
Releases: 1.1, 1.2
Fixes: #42241

History
#1 - 2012-10-21 12:48 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15743

#2 - 2012-10-21 12:50 - Christopher Hlubek
- Status changed from Under Review to Resolved
Fixed in commit:bad4dde8b6f62f5db3e7fcd7b986d54f52ecab1e

#3 - 2012-12-10 22:08 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17080

#4 - 2012-12-12 08:33 - Karsten Dambekalns
- Category set to Http
- Status changed from Under Review to Resolved
- Assigned To set to Adrian Föder
- Target version set to 2.0 beta 1
- % Done changed from 0 to 100

2015-08-04 2/2

https://review.typo3.org/17080

